import uuid

from sqlalchemy import UniqueConstraint, Uuid
from sqlalchemy.orm import Mapped, mapped_column
from sqlalchemy.schema import ForeignKey

from ..db.base_class import reg


@reg.mapped_as_dataclass(unsafe_hash=True)
class RecipeTag:
    __tablename__ = "recipe_tags"
    __table_args__ = (UniqueConstraint("recipe_id", "tag_id"),)

    id: Mapped[uuid.UUID] = mapped_column(Uuid, primary_key=True, insert_default=uuid.uuid4)
    recipe_id: Mapped[uuid.UUID] = mapped_column(Uuid, ForeignKey("recipes.id"))
    tag_id: Mapped[uuid.UUID] = mapped_column(Uuid, ForeignKey("tags.id"))
