import uuid

from brewman.schemas import to_camel
from brewman.schemas.employee import EmployeeLink
from pydantic import BaseModel, ConfigDict, Field


class EmployeeBenefit(BaseModel):
    id_: uuid.UUID | None = None
    employee: EmployeeLink
    gross_salary: int = Field(ge=0)
    days_worked: int = Field(ge=0)
    esi_employee: int | None = Field(ge=0)
    pf_employee: int | None = Field(ge=0)
    esi_employer: int | None = Field(ge=0)
    pf_employer: int | None = Field(ge=0)
    model_config = ConfigDict(alias_generator=to_camel, populate_by_name=True)
