import uuid

from decimal import Decimal

from brewman.schemas import to_camel
from brewman.schemas.account import AccountLink
from brewman.schemas.cost_centre import CostCentreLink
from pydantic import BaseModel, ConfigDict, Field


class Journal(BaseModel):
    id_: uuid.UUID | None = None
    debit: int = Field(ge=-1, le=1)
    amount: Decimal = Field(ge=0)
    account: AccountLink
    cost_centre: CostCentreLink | None = None
    model_config = ConfigDict(str_strip_whitespace=True, alias_generator=to_camel, populate_by_name=True)
