import uuid

from decimal import Decimal

from brewman.schemas import to_camel
from pydantic import BaseModel, ConfigDict, Field


class ProductSku(BaseModel):
    id_: uuid.UUID = Field(...)
    name: str
    fraction_units: str
    cost_price: Decimal
    sale_price: Decimal
    is_rate_contracted: bool
    model_config = ConfigDict(alias_generator=to_camel, populate_by_name=True)
