import uuid

from decimal import Decimal

from brewman.schemas import to_camel
from brewman.schemas.product import ProductLink
from pydantic import BaseModel, ConfigDict, Field


class RateContractItem(BaseModel):
    id_: uuid.UUID | None = None
    sku: ProductLink
    price: Decimal = Field(ge=0)
    model_config = ConfigDict(alias_generator=to_camel, populate_by_name=True)
