import uuid

from decimal import Decimal

from brewman.schemas import to_camel
from brewman.schemas.product import ProductLink
from pydantic import BaseModel, ConfigDict


class RecipeItem(BaseModel):
    id_: uuid.UUID | None = None
    product: ProductLink
    quantity: Decimal
    description: str
    model_config = ConfigDict(alias_generator=to_camel, populate_by_name=True)
