#!/usr/bin/env bash
set -eEu -o pipefail
shopt -s extdebug
IFS=$'\n\t'

parent_path=$( cd "$(dirname "${BASH_SOURCE[0]}")" || exit ; pwd -P )
cd "$parent_path/overlord" || exit
npx prettier --write src/app
npx ng lint --fix
cd "$parent_path/brewman" || exit
isort brewman
black brewman
flake8 brewman

# ruff check .                        # Lint all files in the current directory (and any subdirectories)
# bandit --recursive brewman
# bandit --recursive .
# safety check