import { CommonModule } from '@angular/common';
import { NgModule, inject } from '@angular/core';
import { ActivatedRouteSnapshot, RouterModule, RouterStateSnapshot, Routes } from '@angular/router';

import { AuthGuard } from '../auth/auth-guard.service';

import { PurchaseEntriesResolver } from './purchase-entries-resolver.service';
import { PurchaseEntriesComponent } from './purchase-entries.component';

const purchaseEntriesRoutes: Routes = [
  {
    path: '',
    component: PurchaseEntriesComponent,
    canActivate: [
      (route: ActivatedRouteSnapshot, state: RouterStateSnapshot) => inject(AuthGuard).canActivate(route, state),
    ],
    data: {
      permission: 'Purchase Entries',
    },
    resolve: {
      info: (route: ActivatedRouteSnapshot) => inject(PurchaseEntriesResolver).resolve(route),
    },
    runGuardsAndResolvers: 'always',
  },
];

@NgModule({
  imports: [CommonModule, RouterModule.forChild(purchaseEntriesRoutes)],
  exports: [RouterModule],
  providers: [PurchaseEntriesResolver],
})
export class PurchaseEntriesRoutingModule {}
