import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot } from '@angular/router';
import { Observable } from 'rxjs/internal/Observable';

import { RecipeTemplate } from './recipe-template';
import { RecipeTemplateService } from './recipe-template.service';

@Injectable({
  providedIn: 'root',
})
export class RecipeTemplateResolver {
  constructor(private ser: RecipeTemplateService) {}

  resolve(route: ActivatedRouteSnapshot): Observable<RecipeTemplate> {
    const id = route.paramMap.get('id');
    return this.ser.get(id);
  }
}
